jQuery(document).ready(function($){

/*-----------------------------------------------------------------------------------*/
/* Feedback slide/fade setup. */
/*-----------------------------------------------------------------------------------*/
	if ( jQuery( '.portfolio' ).length ) {
		jQuery( '.portfolio' ).each( function () {
			
			if ( jQuery( this ).hasClass( 'fade' ) ) { effect = 'fade'; }
			else if ( jQuery( this ).hasClass( 'slide' ) ) { effect = 'slide'; }
			else { effect = 'none'; }

			if ( effect != 'none' ) {
				jQuery( this ).slides({
					container: 'portfolio-list', 
					next: 'btn-next', 
					prev: 'btn-prev', 
					effect: effect, 
					play: 5000, 
					fadeSpeed: 350, 
					autoHeight: true, 
					generatePagination: false, 
					hoverPause: true, 
					animationComplete: function () { jQuery( this ).stop(); }, 
					slidesLoaded: function () { jQuery( '.portfolio-list .slides_control' ).css( 'height', jQuery( '.portfolio-list .quote:first' ).height() ); }
				});
			}
		});
	}

}); // End jQuery()