<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

get_header(); ?>

<?php if ( have_posts() ) while ( have_posts() ) : the_post(); ?>

<div id="content" >

		<div class="post">

			<h1><?php the_title(); ?></h1>

			<?php nice_post_meta(); ?>
			<div class="entry">
			<?php
			if ( has_post_thumbnail() ) {

				nice_image( array( 'width' => 590, 'height' => 265, 'class' => 'wp-post-image' ) );

			}

			echo nice_embed( array( 'width' => 600 ) );
			?>

			<?php the_content(__( 'Continue reading', 'nicethemes' ) . ' &raquo;' ); ?>

			<?php nice_post_author(); ?>

			<?php wp_link_pages( array( 'before' => '<div class="page-link">' . __( 'Pages:', 'nicethemes' ), 'after' => '</div>' ) ); ?>
			</div>

			<?php comments_template( '', true ); ?>

			<div class="post-entries">
				<div class="nav-prev fl"><?php previous_post_link( '%link', '<span class="meta-nav">&larr;</span> '.__( 'Previous', 'nicethemes' ) ); ?></div>
				<div class="nav-next fr"><?php next_post_link( '%link', __( 'Next', 'nicethemes ').' <span class="meta-nav">&rarr;</span>' ); ?></div>
				<div class="fix"></div>
			</div><!-- #post-entries -->
		</div>
</div>
<!-- End: #content -->
<?php endwhile; // end of the loop. ?>

<hr class="hidden" />

<?php get_footer(); ?>