<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

/* Template Name: Home */

add_filter( 'nice_load_contact_js', '__return_true', 10 );

get_header(); ?>

<!-- BEGIN #content -->
<div id="content">

<?php
	
		if ( is_front_page() || is_home() )
			
			if ( isset( $nice_options['nice_intro'] ) && $nice_options['nice_intro'] <> '' ) 
				echo '<h1 class="intro">' . $nice_options['nice_intro'] . '</h1>';
?>

				<?php $temp_query = $wp_query; // Save the query ?>
				<?php

				$args = array( 'post_type' => 'portfolio', 'posts_per_page' => 12, 'no_found_rows' => true, 'paged' => $paged, 'order' => 'DESC', 'orderby' => 'menu_order' );

				query_posts( $args );

				if ( have_posts() ) :

					$columns = 4;
					$loop = 0;

				?>
				<h1><?php _e( 'This is my work', 'nicethemes' );?></h1>
				<div class="portfolio-home">
				<ul id="portfolio-grid" class="clearfix">
				<?php while ( have_posts() ) : the_post(); ?>
					<?php $loop++; ?>
					<li class="<?php if ( $loop % $columns == 0 ) echo 'last'; if ( ( $loop-1 ) % $columns ==0 ) echo 'first'; ?>">
					<div class="boxgrid caption">
					<a href="<?php the_permalink() ?>">
					<?php
						if ( has_post_thumbnail() ) :
							nice_image( array( 'key' => 'portfolio-image', 'width' => 205, 'height' => 140 ) );
						else :
						?>
							<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/waves.png" width="205" height="140" />
						<?php
						endif;
						?>
						</a>
						</div>
					</li>
				<?php endwhile;?>
				</ul>
				</div>
			<?php endif; wp_reset_query(); ?>
			<?php $wp_query = clone $temp_query; ?>

			<?php

			$social_items = '';

			if ( isset( $nice_options['nice_facebook_url'] ) && $nice_options['nice_facebook_url'] <> '' ) $social_items .= '<li id="facebook"><a href="' . esc_url( $nice_options['nice_facebook_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_twitter_url'] ) && $nice_options['nice_twitter_url'] <> '' ) $social_items .= '<li id="twitter"><a href="' . esc_url( $nice_options['nice_twitter_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_google_url'] ) && $nice_options['nice_google_url'] <> '' ) $social_items .= '<li id="google"><a href="' . esc_url( $nice_options['nice_google_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_dribbble_url'] ) && $nice_options['nice_dribbble_url'] <> '' ) $social_items .= '<li id="dribbble"><a href="' . esc_url( $nice_options['nice_dribbble_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_vimeo_url'] ) && $nice_options['nice_vimeo_url'] <> '' ) $social_items .= '<li id="vimeo"><a href="' . esc_url( $nice_options['nice_vimeo_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_forrst_url'] ) && $nice_options['nice_forrst_url'] <> '' ) $social_items .= '<li id="forrst"><a href="' . esc_url( $nice_options['nice_forrst_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_lastfm_url'] ) && $nice_options['nice_lastfm_url'] <> '' ) $social_items .= '<li id="lastfm"><a href="' . esc_url( $nice_options['nice_lastfm_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_tumblr_url'] ) && $nice_options['nice_tumblr_url'] <> '' ) $social_items .= '<li id="tumblr"><a href="' . esc_url( $nice_options['nice_tumblr_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_digg_url'] ) && $nice_options['nice_digg_url'] <> '' ) $social_items .= '<li id="digg"><a href="' . esc_url( $nice_options['nice_digg_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_flickr_url'] ) && $nice_options['nice_flickr_url'] <> '' ) $social_items .= '<li id="flickr"><a href="' . esc_url( $nice_options['nice_flickr_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_youtube_url'] ) && $nice_options['nice_youtube_url'] <> '' ) $social_items .= '<li id="youtube"><a href="' . esc_url( $nice_options['nice_youtube_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_behance_url'] ) && $nice_options['nice_behance_url'] <> '' ) $social_items .= '<li id="behance"><a href="' . esc_url( $nice_options['nice_behance_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_blogger_url'] ) && $nice_options['nice_blogger_url'] <> '' ) $social_items .= '<li id="blogger"><a href="' . esc_url( $nice_options['nice_blogger_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_quora_url'] ) && $nice_options['nice_quora_url'] <> '' ) $social_items .= '<li id="quora"><a href="' . esc_url( $nice_options['nice_quora_url'] ) . '"></a></li>';
			if ( isset( $nice_options['nice_linkedin_url'] ) && $nice_options['nice_linkedin_url'] <> '' ) $social_items .= '<li id="linkedin"><a href="' . esc_url( $nice_options['nice_linkedin_url'] ) . '"></a></li>';

			if ( ! empty ( $social_items ) ):
			?>

			<div class="social-links clearfix">

				<h1><?php _e( 'You can follow me here', 'nicethemes' );?></h1>

				<ul id="social">
					<?php echo $social_items; ?>
				</ul>

			</div>

			<?php endif; ?>

			<h1><?php _e( 'Or drop me a line', 'nicethemes' );?></h1>
			<div class="nice-contact-form clearfix">

			<div id="node"></div>
			<div id="success"><?php _e( 'Thank you for leaving a message.', 'nicethemes' ); ?></div>
			<form name="nice_contact" id="nice_contact" method="post" >
					<label for="name" form="nice_contact"><?php _e( 'Your Name', 'nicethemes' ); ?>*</label>
			<input type="text" id="name" name="name" value="" class="required" />
					<label for="subject" form="nice_contact"><?php _e( 'Subject', 'nicethemes' ); ?></label>
			<input type="text" name="subject" id="subject" value="" />
					<label for="mail" form="nice_contact"><?php _e( 'Your E-Mail', 'nicethemes' ); ?>*</label>
			<input type="text" name="mail" id="mail" value="" class="required email" />
					<label for="message" form="nice_contact"><?php _e( 'Your Message', 'nicethemes' ); ?>*</label><br />
					<textarea name="message" id="message" class="required"></textarea>
			<input type="submit" value="<?php _e( 'Submit', 'nicethemes' ); ?>" />
			</form>
			</div>

</div>
<!-- END #content -->

<?php get_footer(); ?>