<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

get_header(); ?>

<div id="content" class="<?php echo $post->post_name; ?>">
<?php if ( have_posts() ) : ?>

<div class="post">
<?php if ( is_category() ) { ?>
			<span class="archive_header"><span class="cat"><?php _e( 'Archive', 'nicethemes' ); ?> | <?php echo single_cat_title(); ?></span> <span class="fr rss"><?php $cat_obj = $wp_query->get_queried_object(); $cat_id = $cat_obj->cat_ID; echo '<a href="'; get_category_rss_link( true, $cat, '' ); echo '">'; _e( 'RSS feed for this section', 'nicethemes' ); echo '</a>'; ?></span></span>
			<?php } elseif ( is_tax( 'portfolio-category' ) ) {?>
				<span class="archive_header"><span class="cat"><?php _e( 'Archive', 'nicethemes' ); ?> | <?php echo single_cat_title(); ?></span> <span class="fr rss"><?php $cat_obj = $wp_query->get_queried_object(); $cat_id = $cat_obj->cat_ID; echo '<a href="'; get_category_rss_link( true, $cat, '' ); echo '">'; _e( 'RSS feed for this section', 'nicethemes' ); echo '</a>'; ?></span></span>

			<?php } elseif ( is_day() ) { ?>
			<span class="archive_header"><?php _e( 'Archive', 'nicethemes' ); ?> | <?php the_time( get_option( 'date_format' ) ); ?></span>

			<?php } elseif ( is_month() ) { ?>
			<span class="archive_header"><?php _e( 'Archive', 'nicethemes' ); ?> | <?php the_time( 'F, Y' ); ?></span>

			<?php } elseif ( is_year() ) { ?>
			<span class="archive_header"><?php _e( 'Archive', 'nicethemes' ); ?> | <?php the_time( 'Y' ); ?></span>

			<?php } elseif ( is_author() ) { ?>
			<span class="archive_header"><?php _e( 'Archive by Author', 'nicethemes' ); ?></span>

			<?php } elseif ( is_tag() ) { ?>
			<span class="archive_header"><?php _e( 'Tag Archives:', 'nicethemes' ); ?> <?php echo single_tag_title('', true); ?></span>

			<?php } ?>
			</div>
			<br />

		<?php while ( have_posts() ) : the_post(); ?>

				<div class="post clearfix">

					<?php nice_image( 'width=160&height=100&class=wp-post-image alignleft' ); ?>

					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

					<?php nice_post_meta(); ?>

					<?php nice_excerpt(); ?>

				</div>
		
		<?php endwhile; ?>

		<?php nice_pagenavi(); ?>

	<?php else : ?>

			<?php _e( 'Sorry, no posts matched your criteria.', 'nicethemes' ); ?>

<?php endif; ?>

</div>

<hr class="hidden" />

<?php get_footer(); ?>