<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

get_header(); ?>

<div id="content" class="<?php echo $post->post_name; ?>">

<span class="archive_header"><?php _e( 'Search Results', 'nicethemes'); ?>: <?php the_search_query(); ?></span>

<br /><br />

<?php if ( have_posts() ) : ?>

		<?php while ( have_posts() ) : the_post(); ?>
				<!-- Start: #content -->
				<div class="post clearfix">

					<?php nice_image( array( 'width' => 160, 'height' => 100, 'class' => 'wp-post-image alignleft' ) ); ?>

					<h2><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

					<?php nice_excerpt(); ?>

					<?php nice_post_meta(); ?>

				</div>

		<?php endwhile; ?>

		<?php nice_pagenavi(); ?>


<?php else : ?>

			<?php _e( 'Sorry, no posts matched your criteria.', 'nicethemes' ); ?>

<?php endif; ?>
</div>

<hr class="hidden" />

<?php get_footer(); ?>