<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

get_header(); ?>

		<!-- Start: #content -->
		<div id="content">

				<h1><?php echo single_cat_title(); ?></h1>

				<?php
				$paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1;

				?>

				<?php $temp_query = $wp_query; // Save the query ?>
				<?php
				global $query_string;
				query_posts( $query_string . '&posts_per_page=-1&orderby=menu_order&order=ASC&no_found_rows=true&paged=' . $paged );

				if ( have_posts() ) :

				$columns = 4;
				$loop = 0;

				?>
				<ul id="portfolio-grid" class="clearfix">
				<?php
				while ( have_posts() ) : the_post();
				?>
				<?php $loop++; ?>
				<li class="<?php if ( $loop % $columns == 0 ) echo 'last'; if ( ($loop-1) % $columns == 0 ) echo 'first'; ?>">

				<div class="boxgrid caption">
				<a href="<?php the_permalink() ?>">
				<?php
					if ( has_post_thumbnail() ) :
						// the current post has a thumbnail
						nice_image( array( 'width' => 205, 'height' => 140, 'key' => 'portfolio-image' ) );
					else :
						// no thumbnail
					?>
						<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/design/proyect-thumb-no-img.jpg" width="205" height="140" alt="" />
					<?php
					endif;
					?>
					</a>

						</div>
				</li>
				<?php endwhile;?>
				</ul>
			<?php else: ?>
			<?php endif; wp_reset_query(); ?>
			<?php $wp_query = clone $temp_query; // Restore the original query ?>

		</div>
		<!-- END #content -->

<hr class="hidden" />

<?php get_footer(); ?>