<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

/* Template Name: Blog */

get_header(); ?>

<div id="content" class="<?php echo $post->post_name; ?>">

	<h1><?php the_title();?></h1>

	<?php if ( get_query_var( 'paged') ) $paged = get_query_var( 'paged' ); elseif ( get_query_var( 'page' ) ) $paged = get_query_var( 'page' ); else $paged = 1; ?>

	<?php query_posts( "post_type=post&paged=$paged" ); ?>

	<?php if ( have_posts() ) : ?>

		<?php while ( have_posts() ) : the_post(); ?>

				<div class="post">

					<?php nice_image( array( 'width' => 160, 'height' => 100, 'class' => 'wp-post-image alignleft' ) ); ?>

					<h2 class="title"><a href="<?php the_permalink() ?>" rel="bookmark" title="<?php the_title(); ?>"><?php the_title(); ?></a></h2>

					<?php nice_excerpt( 150 ); ?>

					<?php nice_post_meta(); ?>

				</div>

		<?php endwhile; ?>


	<?php else : ?>

				<?php _e( 'Sorry, no posts matched your criteria.', 'nicethemes' ) ?>

	<?php endif; ?>

<?php nice_pagenavi();?>

</div>

<hr class="hidden" />

<?php get_footer(); ?>