<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

/*
Template Name: Contact
*/

add_filter( 'nice_load_contact_js', '__return_true', 10 );

?>
<?php get_header(); ?>

<?php if ( have_posts() ) : ?>

		<?php while ( have_posts() ) : the_post(); ?>
		<div id="content" class="<?php echo $post->post_name; ?>">

			<div class="post">

				<h1><?php the_title(); ?></h1>

				<div class="nice-contact-form clearfix">
					<?php the_content( __( 'Continue reading', 'nicethemes' ) . ' &raquo;' ); ?>

					<div id="node"></div>
					<div id="success"><?php _e( 'Thank you for leaving a message.', 'nicethemes' ); ?></div>
					<form name="nice_contact" id="nice_contact" method="post" >
					<label for="name" form="nice_contact"><?php _e( 'Your Name', 'nicethemes' ); ?>*</label>
					<input type="text" id="name" name="name" value="" class="required" />
							<label for="subject" form="nice_contact"><?php _e( 'Subject', 'nicethemes' ); ?></label>
					<input type="text" name="subject" id="subject" value="" />
							<label for="mail" form="nice_contact"><?php _e( 'Your E-Mail', 'nicethemes' ); ?>*</label>
					<input type="text" name="mail" id="mail" value="" class="required email" />
							<label for="message" form="nice_contact"><?php _e( 'Your Message', 'nicethemes' ); ?>*</label><br />
							<textarea name="message" id="message" class="required"></textarea>
					<input type="submit" value="<?php _e( 'Submit', 'nicethemes' ); ?>" />
					</form>
				</div>

			</div>
		</div>
		
		<?php endwhile; ?>

<?php else : ?>

		<h2 class="center"><?php _e( 'Not Found', 'nicethemes' ); ?></h2>
		<p class="center"><?php _e( "Sorry, but you are looking for something that isn't here.", 'nicethemes' ); ?></p>
		<?php get_search_form(); ?>

<?php endif; ?>

<hr class="hidden" />

<?php get_footer(); ?>