<?php
// File Security Check
if ( ! empty( $_SERVER['SCRIPT_FILENAME'] ) && basename( __FILE__ ) == basename( $_SERVER['SCRIPT_FILENAME'] ) ) :
	die ( 'You do not have sufficient permissions to access this page!' );
endif;

/* Template Name: Portfolio */

get_header(); ?>

<?php if ( have_posts() ) : ?>

		<?php while ( have_posts() ) : the_post(); ?>
		<!-- Start: #content -->
		<div id="content" class="<?php echo $post->post_name; ?>">

			<h1><?php the_title(); ?></h1>

			<?php the_content( __( 'Continue reading', 'nicethemes' ) . ' &raquo;' ); ?>

			<?php $paged = ( get_query_var( 'paged' ) ) ? get_query_var( 'paged' ) : 1; ?>

			<?php $temp_query = $wp_query; ?>
			<?php

			$args = array( 'post_type' => 'portfolio', 'posts_per_page' => 12, 'no_found_rows' => true, 'order' => 'DESC', 'orderby' => 'menu_order', 'paged' => $paged );

			query_posts( $args );

			if ( have_posts() ) :

				$columns = 4;
				$loop = 0;

				?>
				<ul id="portfolio-grid" class="clearfix">
				<?php while ( have_posts() ) : the_post(); ?>
				<?php $loop++; ?>
				<li class="<?php if ( $loop % $columns == 0 ) echo 'last'; if ( ( $loop-1 ) % $columns == 0 ) echo 'first'; ?>">
				<div class="boxgrid caption">
				<a href="<?php the_permalink() ?>">
				<?php
					if ( has_post_thumbnail() ) :
						// the current post has a thumbnail
						nice_image( array( 'width' => 205, 'height' => 140, 'key' => 'portfolio-image' ) );
					else :
						// no thumbnail
					?>
						<img src="<?php bloginfo( 'stylesheet_directory' ); ?>/images/design/proyect-thumb-no-img.jpg" width="205" height="140" alt="" />
					<?php
					endif;
					?>
				</a>
				</div>
				</li>
				<?php endwhile;?>
				</ul>
			<?php endif; wp_reset_query(); ?>
			<?php $wp_query = clone $temp_query; ?>

		<?php endwhile; ?>
		</div>
		<!-- End: #content -->

<?php else : ?>

		<h2><?php _e( 'Not Found', 'nicethemes' ); ?></h2>
		<p><?php _e( 'Sorry, but you are looking for something that isn\'t here.', 'nicethemes' ); ?></p>
		<?php get_search_form(); ?>

<?php endif; ?>

<hr class="hidden" />

<?php get_footer(); ?>